Loading...
Searching...
No Matches
Dune::ParallelIndexSet< TG, TL, N >::iterator Class Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

The iterator over the pairs. More...

`#include <dune/common/parallel/indexset.hh>`

Inheritance diagram for Dune::ParallelIndexSet< TG, TL, N >::iterator:

## Public Types

typedef A::value_type | MemberType
| The member type.
typedef A::difference_type | difference_type
typedef A::size_type | size_type
using | reference = typename A::value_type &
using | const_reference = typename A::value_type const&
using | iterator_category
using | value_type
using | pointer
typedef T | DerivedType
| The type of derived iterator.
typedef A::value_type | Value
| The type of value accessed through the iterator.
typedef A::value_type * | Pointer
| The pointer to the Value.
typedef A::difference_type | DifferenceType
| The type of the difference between two positions.
typedef A::value_type & | Reference
| The type of the reference to the values accessed.

## Public Member Functions

| iterator (ParallelIndexSet< TG, TL, N > &indexSet, const Father &father)
bool | equals (const ArrayListIterator< MemberType, N, A > &other) const
| Compares two iterators.
bool | equals (const ConstArrayListIterator< MemberType, N, A > &other) const
| Compares two iterators.
void | increment ()
| Increment the iterator.
void | decrement ()
| decrement the iterator.
reference | elementAt (size_type i) const
| Get the value of the list at an arbitrary position.
reference | dereference () const
| Access the element at the current position.
void | eraseToHere ()
| Erase all entries before the current position and the one at the current position.
size_type | position ()
void | advance (difference_type n)
difference_type | distanceTo (const ArrayListIterator< T, N, A > &other) const
constexpr Reference | operator* () const
| Dereferencing operator.
constexpr Pointer | operator-> () const
constexpr Reference | operator[] (DifferenceType n) const
| Get the element n positions from the current one.
constexpr DerivedType & | operator++ ()
| Preincrement operator.
constexpr DerivedType & | operator+= (DifferenceType n)
constexpr DerivedType | operator+ (DifferenceType n) const
constexpr DerivedType & | operator-- ()
| Predecrement operator.
constexpr DerivedType & | operator-= (DifferenceType n)
constexpr DerivedType | operator- (DifferenceType n) const

## Static Public Attributes

static constexpr int | chunkSize_ = (N > 0) ? N : 1
| The number of elements in one chunk of the list.

## Friends

class | ParallelIndexSet< GlobalIndex, LocalIndex, N >

## Detailed Description

template<typename TG, typename TL, int N = 100>
class Dune::ParallelIndexSet< TG, TL, N >::iterator

The iterator over the pairs.

## Member Typedef Documentation

## const_reference

template<class T, int N, class A>

using Dune::ArrayListIterator< T, N, A >::const_reference = typename A::value_type const&

inherited

## DerivedType

typedef T Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::DerivedType

inherited

The type of derived iterator.

The iterator has to define following functions have to be present:

// Access the value referred to.
Reference dereference() const;
// Access the value at some other location
Reference elementAt(n) const;
// Compare for equality with j
bool equals(j);
// position the iterator at the next element.
void increment()
// position the iterator at the previous element.
void decrement()
// advance the iterator by a number of positions-
void advance(DifferenceType n);
// calculate the distance to another iterator.
// One should incorporate an assertion whether
// the same containers are referenced
DifferenceType distanceTo(j) const;
Dune::ArrayListIterator::equals
bool equals(const ArrayListIterator< MemberType, N, A > &other) const
Compares two iterators.
Definition arraylist.hh:571
Dune::ArrayListIterator::increment
void increment()
Increment the iterator.
Definition arraylist.hh:597
Dune::ArrayListIterator::decrement
void decrement()
decrement the iterator.
Definition arraylist.hh:609
Dune::ArrayListIterator::elementAt
reference elementAt(size_type i) const
Get the value of the list at an arbitrary position.
Definition arraylist.hh:621
Dune::ArrayListIterator::advance
void advance(difference_type n)
Definition arraylist.hh:558
Dune::ArrayListIterator::dereference
reference dereference() const
Access the element at the current position.
Definition arraylist.hh:633
Dune::ArrayListIterator::distanceTo
difference_type distanceTo(const ArrayListIterator< T, N, A > &other) const
Definition arraylist.hh:645
Dune::RandomAccessIteratorFacade< ArrayListIterator< T, N, A >, A::value_type, A::value_type &, A::difference_type >::DifferenceType
A::difference_type DifferenceType
Definition iteratorfacades.hh:493
Dune::RandomAccessIteratorFacade< ArrayListIterator< T, N, A >, A::value_type, A::value_type &, A::difference_type >::Reference
A::value_type & Reference
Definition iteratorfacades.hh:498

For an elaborate explanation see the STL Documentation

## difference_type

template<class T, int N, class A>

typedef A::difference_type Dune::ArrayListIterator< T, N, A >::difference_type

inherited

## DifferenceType

typedef A::difference_type Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::DifferenceType

inherited

The type of the difference between two positions.

## iterator_category

using Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::iterator_category

inherited

## MemberType

template<class T, int N, class A>

typedef A::value_type Dune::ArrayListIterator< T, N, A >::MemberType

inherited

The member type.

## Pointer

typedef A::value_type* Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::Pointer

inherited

The pointer to the Value.

## pointer

using Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::pointer

inherited

## Reference

typedef A::value_type & Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::Reference

inherited

The type of the reference to the values accessed.

## reference

template<class T, int N, class A>

using Dune::ArrayListIterator< T, N, A >::reference = typename A::value_type &

inherited

## size_type

template<class T, int N, class A>

typedef A::size_type Dune::ArrayListIterator< T, N, A >::size_type

inherited

## Value

typedef A::value_type Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::Value

inherited

The type of value accessed through the iterator.

## value_type

using Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::value_type

inherited

## Member Function Documentation

## operator*()

Reference Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator* | ( |  | ) | const

inline constexpr inherited

Dereferencing operator.

## operator+()

DerivedType Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator+ | ( | DifferenceType | n | ) | const

inline constexpr inherited

## operator++()

DerivedType & Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator++ | ( |  | ) |

inline constexpr inherited

Preincrement operator.

## operator+=()

DerivedType & Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator+= | ( | DifferenceType | n | ) |

inline constexpr inherited

## operator-()

DerivedType Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator- | ( | DifferenceType | n | ) | const

inline constexpr inherited

## operator--()

DerivedType & Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator-- | ( |  | ) |

inline constexpr inherited

Predecrement operator.

## operator-=()

DerivedType & Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator-= | ( | DifferenceType | n | ) |

inline constexpr inherited

## operator->()

Pointer Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator-> | ( |  | ) | const

inline constexpr inherited

## operator[]()

Reference Dune::RandomAccessIteratorFacade< T, A::value_type, A::value_type &, A::difference_type >::operator[] | ( | DifferenceType | n | ) | const

inline constexpr inherited

Get the element n positions from the current one.

Parameters

  n | The distance to the element.

Returns
  The element at that distance.

## position()

template<class T, int N, class A>

size_type Dune::ArrayListIterator< T, N, A >::position | ( |  | ) |

inline inherited

Todo
  Please doc me!

## Member Data Documentation

## chunkSize_

template<class T, int N, class A>

int Dune::ArrayListIterator< T, N, A >::chunkSize_ = (N > 0) ? N : 1

static constexpr inherited

The number of elements in one chunk of the list.

This has to be at least one. The default is 100.

The documentation for this class was generated from the following file:

- indexset.hh